/*
 * @Author: LMN
 * @Title: 全局配置文件
 * @Date: 2019-12-17 14:19:54
 * @LastEditors  : LMN
 * @LastEditTime : 2020-02-02 19:54:05
 * @Description: file content
 */
console.info('Antiy_SAT当前版本: v1.1.9-20200202')
window.CONFIG = {
  // 时间轴日期
  time: [
    // '全部',

    '2020-02-02',
    '2020-02-03',
    '2020-02-04',
    '2020-02-05',
    '2020-02-06',
    '2020-02-07',
    '2020-02-08',
    '2020-02-09',
    '2020-02-10',
    '2020-02-11',
    '2020-02-12',
    '2020-02-13'
  ],
  // 界面标题，可根据时间轴设定key值
  title: {
    default: '分布和返程分析工具'
  },
  // 界面副标题，可根据时间轴设定key值
  subtitle: {
    default: 'by test'
  },
  // 饼图标题，可根据时间轴设定key值
  pieTitle: {
    全部: '返程人员时间占比',
    default: '返程人员交通工具占比'
  },
  // 饼图圆心标题，可根据时间轴设定key值
  pieSubTitle: {
    全部: '返程时间',
    default: '交通工具'
  },
  // 排行图标题，可根据时间轴设定key值
  rankTitle: {
    default: '跨省返程省份TOP5'
  },
  // 表格标题，可根据时间轴设定key值
  listTitle: {
    default: '返程人员信息列表'
  },
  // 表格速度，可根据时间轴设定key值
  listSpeed: 80,
  // 人员分布在地图上的最小尺寸，可根据时间轴设定key值
  mapLocalMinSize: 1.0,
  // 人员分布在地图上的最大尺寸，可根据时间轴设定key值
  mapLocalMaxSize: 8.0,
  // 地图上人员信息距圆心距离
  // mapScreenX， 代表距离圆心水平距离， 左侧为负，右侧为正
  mapScreenX: -25,
  // mapScreenY, 代表距离圆心垂直距离, 上为负， 下位正
  mapScreenY: -30,
  // 饼图颜色，不可根据时间轴设定key值
  pieColor: [
    '#e96167',
    '#914cf1',
    '#14c6a9',
    '#e2a753',
    '#49c638',
    '#2792f5',
    '#dee441'
  ],
  // 排行图颜色，不可根据时间轴设定key值
  rankColor: ['#ff5a5a', '#f8ad02', '#10a9ff', '#fdff8b'],
  // 表格表头（value值勿动），不可根据时间轴设定key值
  listHead: [
    { name: '姓名', value: 'name', width: 80 },
    { name: '部门', value: 'dept', width: 80 },
    { name: '健康状况', value: 'temp', width: 100 },
    { name: '起始地', value: 'src', width: 100 },
    { name: '目的地', value: 'target', width: 100 },
    { name: '返程时间', value: 'time', width: 100 },
    { name: '交通工具（车次）', value: 'traffic', width: 150 }
  ],
  // 地图按钮文字，不可根据时间轴设定key值
  tabTitle: [
    { name: '员工分布情况', value: 'area' },
    { name: '员工返程情况', value: 'line' }
  ],
  // 地图疫情图例标题，不可根据时间轴设定key值
  mapAreaLegendTitle: '疫情图例',
  // 地图疫情图例，不可根据时间轴设定key值
  mapAreaLegend: [
    { color: '#731919', value: [1000] },
    { color: '#9c2f31', value: [500, 1000] },
    { color: '#c34548', value: [100, 499] },
    { color: '#e26061', value: [10, 99] },
    { color: '#f08f7f', value: [1, 9] }
  ],
  // 地图分布图例标题，不可根据时间轴设定key值
  mapLocalLegendTitle: '员工分布图例',
  // 地图分布图例，不可根据时间轴设定key值
  mapLocalLegend: [
    { color: '#3fffac', value: '国内人员' },
    { color: '#10a9ff', value: '未知及国外人员' }
  ],
  // 地图返程图例标题，不可根据时间轴设定key值
  mapLineLegendTitle: '分支机构图例',
  // 地图返程图例，不可根据时间轴设定key值
  mapLineLegend: [
    {
      color: '#ffff00',
      value: '哈尔滨'
    }
  ],
  // 地图统计标题，不可根据时间轴设定key值
  mapCountTitle: [
    { color: '#3fffac', value: '员工当日统计总数' },
    { color: '#ffd200', value: '未在工作所在地员工数' },
    {
      color: '#00dcfd',
      value: '当日返程员工总数'
    },
    { color: '#ff0000', value: '健康状态异常员工数' }
  ],
  // 地图疫情开关文字，不可根据时间轴设定key值
  mapSwitchTitle: '疫情情况'
}
